h46313
s 00044/00000/00000
d D 1.1 83/01/20 11:09:40 tes 1 0
c date and time created 83/01/20 11:09:40 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine clrscr
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: clear current screen                                   #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            gzesc - d/i interface to device driver escape functions   #
#                                                                      #
########################################################################
integer fnctid, ilen, iarray(3)

include(`mnucom')

   ilen = 0

   if (mnumod == EXITxGRAPHICSxMODE) {
      fnctid = HOMExCURSOR        # home cursor and erase to end of page
      call gzesc (fnctid, ilen, iarray)
   
      fnctid = ERASExTOxENDxOFxSCREEN
      call gzesc (fnctid, ilen, iarray)
      }
   else {
     iarray(1) = 3
     iarray(2) = 0
     call gzddop (iarray, iarray, iarray, iarray, iarray)
     }

   return
end
E 1
